/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.binding.jms;

/**
 * this element allows JMS headers to be set to the given values for all operations. These values apply to requests from
 * a reference and responses from a service.
 * 
 * @version $Rev: 608212 $ $Date: 2008-01-02 20:35:15 +0000 (Wed, 02 Jan 2008) $
 */
public interface Headers extends PropertyList {
    String getJMSType();

    void setJMSType(String jmsType);

    String getJMSCorrelationId();

    void setJMSCorrelationId(String jmsCorrelationId);

    String getJMSDeliveryMode();

    void setJMSDeliveryMode(String jmsDeliveryMode);

    String getJMSTimeToLive();

    void setJMSTimeToLive(String jmsTimeToLive);

    String getJMSPriority();

    void setJMSPriority(String jmsPriority);

}
